using LeedsBeerQuest.API.Data.Contexts;
using LeedsBeerQuest.API.Data.Models;
using LeedsBeerQuest.API.Data.Services.Interfaces;
using Microsoft.EntityFrameworkCore;

namespace LeedsBeerQuest.API.Data.Services;

public class VenueService : IVenueService
{
    private readonly LeedsBeerQuestDbContext _context;

    public VenueService(LeedsBeerQuestDbContext context)
    {
        _context = context;
    }

    public async Task<IEnumerable<Venue>> GetAllVenues()
    {
        return await _context.Venues
            .Include(v => v.Category)
            .Include(v => v.Tags)
            .ToListAsync();
    }
}